Blame tests/cert-tests/provable-dh

Packit aea12f
#!/bin/sh
Packit aea12f
Packit aea12f
# Copyright (C) 2016 Red Hat, Inc.
Packit aea12f
#
Packit aea12f
# This file is part of GnuTLS.
Packit aea12f
#
Packit aea12f
# GnuTLS is free software; you can redistribute it and/or modify it
Packit aea12f
# under the terms of the GNU General Public License as published by the
Packit aea12f
# Free Software Foundation; either version 3 of the License, or (at
Packit aea12f
# your option) any later version.
Packit aea12f
#
Packit aea12f
# GnuTLS is distributed in the hope that it will be useful, but
Packit aea12f
# WITHOUT ANY WARRANTY; without even the implied warranty of
Packit aea12f
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Packit aea12f
# General Public License for more details.
Packit aea12f
#
Packit aea12f
# You should have received a copy of the GNU General Public License
Packit aea12f
# along with GnuTLS; if not, write to the Free Software Foundation,
Packit aea12f
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
Packit aea12f
Packit aea12f
#set -e
Packit aea12f
Packit aea12f
srcdir="${srcdir:-.}"
Packit aea12f
CERTTOOL="${CERTTOOL:-../../src/certtool${EXEEXT}}"
Packit aea12f
DIFF="${DIFF:-diff}"
Packit aea12f
OUTFILE=provable-dh$$.tmp
Packit aea12f
Packit aea12f
if ! test -x "${CERTTOOL}"; then
Packit aea12f
	exit 77
Packit aea12f
fi
Packit aea12f
Packit aea12f
if ! test -z "${VALGRIND}"; then
Packit aea12f
	VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND}"
Packit aea12f
fi
Packit aea12f
Packit aea12f
if test "${FIPS140}" = 1;then
Packit aea12f
SEED="30EC334F97DBC0BA9C8652A7B5D3F7B2DBBB48A4842E190D210E01DABD535981503755EE96A270A598E9D91B2254669169EBDF4599D9F72ACA"
Packit aea12f
DSAFILE=provable-dsa2048-fips.pem
Packit aea12f
else
Packit aea12f
SEED="5A0EA041779B0AB765BE2509C4DE90E5A0E7DAADAE6E49D35938F91333A8E1FE509DD2DFE1967CD0045428103497D00388C8CE36290FE9379F8003CBF8FDA4DA27"
Packit aea12f
DSAFILE=provable-dsa2048.pem
Packit aea12f
fi
Packit aea12f
Packit aea12f
#DH parameters
Packit aea12f
${VALGRIND} "${CERTTOOL}" --generate-dh-params --provable --bits 2048 --seed "$SEED" --outfile "$OUTFILE"
Packit aea12f
rc=$?
Packit aea12f
Packit aea12f
if test "${rc}" != "0"; then
Packit aea12f
	echo "test1: Could not generate a 2048-bit DSA key"
Packit aea12f
	exit 1
Packit aea12f
fi
Packit aea12f
Packit aea12f
${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE" &
Packit aea12f
PID1=$!
Packit aea12f
Packit aea12f
${VALGRIND} "${CERTTOOL}" --verify-provable-privkey --load-privkey "$OUTFILE" --seed "$SEED" &
Packit aea12f
PID2=$!
Packit aea12f
Packit aea12f
wait $PID1
Packit aea12f
rc1=$?
Packit aea12f
Packit aea12f
wait $PID2
Packit aea12f
rc2=$?
Packit aea12f
Packit aea12f
if test "${rc1}" != "0" || test "${rc2}" != "0"; then
Packit aea12f
	echo "test1: Could not verify the generated parameters"
Packit aea12f
	exit 1
Packit aea12f
fi
Packit aea12f
Packit aea12f
rm -f "$OUTFILE"
Packit aea12f
Packit aea12f
exit 0